IRPCObjectOperations.GetIdentitiesAndViewsOfMultipleUnmanagedReducedItems

View as Markdown

Vault API / core read session or assertion idempotent returns metadata structure version

Gets the identities and view IDs of unmanaged items of an external repository. Used by M-Files clients; not for applications.

ServiceObjects, versions, properties and files MFiles.IRPCObjectOperations
gRPC method/MFiles.IRPCObjectOperations/GetIdentitiesAndViewsOfMultipleUnmanagedReducedItems
HTTP (mf-http-grpc)POST /grpc/v1/get-identities-and-views-of-multiple-unmanaged-reduced-items
RequestGetIdentitiesAndViewsOfMultipleUnmanagedReducedItemsRequest
ResponseGetIdentitiesAndViewsOfMultipleUnmanagedReducedItemsResponse
Book and levelVault API, core
Kindread
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentyes
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Request: GetIdentitiesAndViewsOfMultipleUnmanagedReducedItemsRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
obj_ids[]repeated ObjIDObject IDs (managed or unmanaged) (represented by ObjIDArray struct.)
obj_ids[].typeint32The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID).
obj_ids[].item_idItemIDThe ID of the object within its type, in item_id.internal_id.
obj_ids[].item_id.internal_idint32The ID of the object or value list item.
obj_ids[].item_id.external_repository_idExternalRepositoryIDUsed only for objects in external repositories (external connectors). Leave it unset for objects stored in the vault.
allow_missing_object_versionsboolTrue if the method is allowed to return less results than requested. This can happen if the user does not have access to all of the objects.

Response: GetIdentitiesAndViewsOfMultipleUnmanagedReducedItemsResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
objects[]repeated ObjIDReceives the managed object IDs of the requested objects with read access (represented by ObjID struct.)
objects[].typeint32The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID).
objects[].item_idItemIDThe ID of the object within its type, in item_id.internal_id.
objects[].item_id.internal_idint32The ID of the object or value list item.
objects[].item_id.external_repository_idExternalRepositoryIDUsed only for objects in external repositories (external connectors). Leave it unset for objects stored in the vault.
obj_vers[]repeated ObjVerReceives the unmanaged object versions for requested objects with read access (represented by ObjVer struct.)
obj_vers[].obj_idObjIDThe object.
obj_vers[].obj_id.typeint32The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID).
obj_vers[].obj_id.item_idItemIDThe ID of the object within its type, in item_id.internal_id.
obj_vers[].versionObjVerVersionThe version. Usually OBJ_VER_VERSION_TYPE_SPECIFIC with internal_version.
obj_vers[].version.typeObjVerVersionTypeWhat internal_version means. OBJ_VER_VERSION_TYPE_SPECIFIC for a version number.Values: OBJ_VER_VERSION_TYPE_UNINITIALIZED (0), OBJ_VER_VERSION_TYPE_LATEST (1), OBJ_VER_VERSION_TYPE_ANY (2), OBJ_VER_VERSION_TYPE_ALL (3), OBJ_VER_VERSION_TYPE_SPECIFIC (4), OBJ_VER_VERSION_TYPE_VALUE_LIST_ITEM (6), OBJ_VER_VERSION_TYPE_OBJECT_LEVEL_REFERENCE (7).
obj_vers[].version.internal_versionint32The version number, starting from 1, when type is OBJ_VER_VERSION_TYPE_SPECIFIC. The server returns -1 with OBJ_VER_VERSION_TYPE_LATEST.
obj_vers[].version.external_repository_versionstringUsed only for objects in external repositories. Leave empty.
obj_vers[].version.external_repository_sort_keyint64Used only for objects in external repositories. Leave 0.
view_ids[]repeated ItemIDReceives the primary view IDs for the requested objects with read access (represented by ItemID struct.)
view_ids[].internal_idint32The ID of the object or value list item.
view_ids[].external_repository_idExternalRepositoryIDUsed only for objects in external repositories (external connectors). Leave it unset for objects stored in the vault.
view_ids[].external_repository_id.connectionstringThe external repository connection identifier.
view_ids[].external_repository_id.itemstringExternal ID within the scope of the connection to external system.